librelist archives

« back to archive

Resque 1.2.1

Resque 1.2.1

From:
Chris Wanstrath
Date:
2009-12-08 @ 04:17
I just pushed Resque 1.2.1 to Gemcutter.

This version is compatible with Ruby 1.8.7, Ruby 1.9.1 and JRuby.

Additions:

* Added `rake resque:workers` task for starting multiple workers.
* config.ru loads RESQUECONFIG if the ENV variable is set.
* `resque-web` now sets RESQUECONFIG
* Job objects know if they are equal.
* Jobs can be re-queued using `Job#recreate`

Fixes:

* Yajl decoder doesn't care about valid UTF-8


Cheers,

-- 
Chris Wanstrath
http://github.com/defunkt